// src/react/HighlightPlugin.tsx
import { Key, toPlatePlugin } from "@udecode/plate-common/react";

// src/lib/HighlightPlugin.ts
import { createTSlatePlugin } from "@udecode/plate-common";
var HighlightPlugin = createTSlatePlugin({
  key: "highlight",
  node: { isLeaf: true },
  parsers: {
    html: {
      deserializer: {
        rules: [
          {
            validNodeName: ["MARK"]
          }
        ]
      }
    }
  }
});

// src/react/HighlightPlugin.tsx
var HighlightPlugin2 = toPlatePlugin(
  HighlightPlugin,
  ({ editor, type }) => ({
    shortcuts: {
      toggleHighlight: {
        handler: () => {
          editor.tf.toggle.mark({ key: type });
        },
        keys: [[Key.Mod, Key.Shift, "h"]],
        preventDefault: true
      }
    }
  })
);
export {
  HighlightPlugin2 as HighlightPlugin
};
//# sourceMappingURL=index.mjs.map